You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@wicket.apache.org by jr...@apache.org on 2010/11/28 04:29:13 UTC

svn commit: r1039824 - /wicket/branches/wicket-1.4.14/release.sh

Author: jrthomerson
Date: Sun Nov 28 03:29:12 2010
New Revision: 1039824

URL: http://svn.apache.org/viewvc?rev=1039824&view=rev
Log:
add gpg passphrase verification so that we fail-fast if i fat-finger my extremely long and complex gpg passphrase

Modified:
    wicket/branches/wicket-1.4.14/release.sh

Modified: wicket/branches/wicket-1.4.14/release.sh
URL: http://svn.apache.org/viewvc/wicket/branches/wicket-1.4.14/release.sh?rev=1039824&r1=1039823&r2=1039824&view=diff
==============================================================================
--- wicket/branches/wicket-1.4.14/release.sh (original)
+++ wicket/branches/wicket-1.4.14/release.sh Sun Nov 28 03:29:12 2010
@@ -28,6 +28,15 @@ stty -echo 
 read passphrase
 stty $stty_orig
 
+# test the GPGP passphrase to fail-fast:
+echo "$passphrase" | gpg --passphrase-fd 0 --armor --output pom.xml.asc --detach-sig pom.xml
+gpg --verify pom.xml.asc
+if [ $? -ne 0 ]; then
+	echo "It appears that you fat-fingered your GPG passphrase"
+	exit $?
+fi
+rm pom.xml.asc
+
 # Clear the current NOTICE.txt file
 echo "Creating notice file."